Package org.apache.catalina.realm

## Class LockOutRealm.LockRecord

- java.lang.Object
- - org.apache.catalina.realm.LockOutRealm.LockRecord

Enclosing class:
  LockOutRealm

    protected static class LockOutRealm.LockRecord
    extends Object

### Constructor Summary

Constructors
`protected` `LockRecord()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFailures()`
`long` `getLastFailureTime()`
`void` `registerFailure()`
`void` `setFailures​(int theFailures)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LockRecord

    protected LockRecord()

### Method Detail

#### getFailures

    public int getFailures()

#### setFailures

    public void setFailures​(int theFailures)

#### getLastFailureTime

    public long getLastFailureTime()

#### registerFailure

    public void registerFailure()